%define major 3.2
%define libname %mklibname xerces-c %{major}
%define develname %mklibname xerces-c -d

Summary:	Xerces-C++ validating XML parser
Name:		xerces-c
Version:	3.2.4
Release:	%mkrel 2
License:	Apache
Group:		System/Libraries
URL:		http://xml.apache.org/xerces-c/
Source0:	http://apache.dataphone.se/xerces/c/3/sources/%{name}-%{version}.tar.xz
Patch0:     xerces-c-3.0.1-CVE-2018-1311.patch
BuildRequires:	curl-devel
BuildRequires:	zlib-devel
BuildRequires:	libicu-devel icu
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Obsoletes: enigma = 1.0.1
Obsoletes: megaglest = 3.6.0.3
Obsoletes: megaglest-data = 3.6.0.3
Obsoletes: passwordsafe = 1.0.3

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.

%package -n	%{libname}
Summary:	Xerces-c library
Group:		System/Libraries

%description -n %{libname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the shared xerces-c library.

%package -n	%{develname}
Summary:	Header files for Xerces-C++ validating XML parser
Group:		Development/Libraries
Requires:	%{libname} >= %{version}-%{release}
Provides:	xerces-c-devel = %{version}-%{release}
Provides:	libxerces-c-devel = %{version}-%{release}
Conflicts:	%{mklibname xerces-c 0 -d}
Conflicts:	%{mklibname xerces-c 28 -d}

%description -n	%{develname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains development files such as header files you can use to
develop XML applications with Xerces-C++.

%package	doc
Summary:	Documentation for Xerces-C++ validating XML parser
Group:		Documentation
Obsoletes:	xerces-c-manual

%description	doc
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the documentation for Xerces-C++.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build

%configure2_5x \
    --disable-static \
    --enable-netaccessor-curl \
    --enable-transcoder-icu \
%ifarch %{ix86}
    --disable-sse2 \
%endif
    --enable-msgloader-icu
%make


%install
rm -rf %{buildroot}

%makeinstall_std

# cleanup
find %{buildroot} -name '*.la' -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{major}.so

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/xercesc
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%defattr(-,root,root,-)
%doc CREDITS LICENSE doc/*


%changelog
* Fri Jan 20 2023 tex - 3.2.4-2pclos2023
- obsolete old programs

* Thu Jan 19 2023 tex - 3.2.4-1pclos2023
- new version

* Wed Sep 14 2022 tex - 3.2.3-4pclos2022
- rebuild against updates

* Mon Sep 12 2022 tex - 3.2.3-3pclos2022
- rebuild against updates

* Mon Sep 20 2021 tex - 3.2.3-2pclos2021
- rebuild against updates

* Fri Oct 30 2020 tex - 3.2.3-1pclos2020
- new version

* Sat Oct 05 2019 tex - 3.1.3-3pclos2019
- rebuild against updates

* Fri Oct 04 2019 tex - 3.1.3-2pclos2019
- rebuild against updates

* Sat Mar 19 2016 woodhead <pp> 3.1.3-1pclos2016
- update

* Fri Sep 09 2011 Texstar <texstar at gmail.com> 3.1.1-1pclos2011
- 3.1.1
